Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class DefaultGrailsPluginManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AbstractGrailsPluginManager
          org.codehaus.groovy.grails.plugins.DefaultGrailsPluginManager

All Implemented Interfaces:
  GrailsPluginManager

    public class DefaultGrailsPluginManager
    extends AbstractGrailsPluginManager

Handles the loading and management of plug-ins in the Grails system. A plugin is just like a normal Grails application except that it contains a file ending in *Plugin.groovy in the root of the directory.

A Plugin class is a Groovy class that has a version and optionally closures called doWithSpring, doWithContext and doWithWebDescriptor

The doWithSpring closure uses the BeanBuilder syntax (

Authors:
  Graeme Rocher

See Also:
  BeanBuilder

Since:
  0.4

Field Summary

Fields inherited from class AbstractGrailsPluginManager
application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins

Constructor Summary
`DefaultGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)`
`DefaultGrailsPluginManager(String[] pluginResources, GrailsApplication application)`
`DefaultGrailsPluginManager(Class[] plugins, GrailsApplication application)`
`DefaultGrailsPluginManager(Resource[] pluginFiles, GrailsApplication application)`

Method Summary
`protected boolean` | `canRegisterPlugin(GrailsPlugin plugin)`
`void` | `checkForChanges()`
`void` | `doDynamicMethods()`
`void` | `doWebDescriptor(Resource descriptor, java.io.Writer target)`
`void` | `doWebDescriptor(java.io.File descriptor, java.io.Writer target)`
`protected void` | `evictPlugin(GrailsPlugin evictor, java.lang.String evicteeName)`
`java.util.Collection` | `getPluginObservers(GrailsPlugin plugin)`
`ServletContext` | `getServletContext()`
`GrailsPlugin[]` | `getUserPlugins()`
`static java.lang.String` | `getWeb23DTD()`
`void` | `informObservers(java.lang.String pluginName, java.util.Map event)`
`void` | `informPluginsOfConfigChange()`
`void` | `loadPlugins()`
`void` | `refreshPlugin(java.lang.String name)`
`void` | `setApplication(GrailsApplication application)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setParentApplicationContext(ApplicationContext parent)`
`void` | `setServletContext(ServletContext servletContext)`
`void` | `startPluginChangeScanner()`
`void` | `stopPluginChangeScanner()`

Methods inherited from class AbstractGrailsPluginManager

checkInitialised, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, isInitialised, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, shutdown, supportsCurrentBuildScope

Constructor Detail

### DefaultGrailsPluginManager

    public DefaultGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

### DefaultGrailsPluginManager

    public DefaultGrailsPluginManager(String[] pluginResources, GrailsApplication application)

### DefaultGrailsPluginManager

    public DefaultGrailsPluginManager(Class[] plugins, GrailsApplication application)

### DefaultGrailsPluginManager

    public DefaultGrailsPluginManager(Resource[] pluginFiles, GrailsApplication application)

Method Detail

### canRegisterPlugin

    protected boolean canRegisterPlugin(GrailsPlugin plugin)

### checkForChanges

    public void checkForChanges()

### doDynamicMethods

    @Override
    public void doDynamicMethods()

### doWebDescriptor

    public void doWebDescriptor(Resource descriptor, java.io.Writer target)

### doWebDescriptor

    public void doWebDescriptor(java.io.File descriptor, java.io.Writer target)

### evictPlugin

    protected void evictPlugin(GrailsPlugin evictor, java.lang.String evicteeName)

### getPluginObservers

    public java.util.Collection getPluginObservers(GrailsPlugin plugin)

### getServletContext

    public ServletContext getServletContext()

### getUserPlugins

    public GrailsPlugin[] getUserPlugins()

### getWeb23DTD

    public static java.lang.String getWeb23DTD()

### informObservers

    @SuppressWarnings("rawtypes")
    public void informObservers(java.lang.String pluginName, java.util.Map event)

### informPluginsOfConfigChange

    public void informPluginsOfConfigChange()

### loadPlugins

    public void loadPlugins()

### refreshPlugin

    public void refreshPlugin(java.lang.String name)

### setApplication

    @Override
    public void setApplication(GrailsApplication application)

### setApplicationContext

    @Override
    public void setApplicationContext(ApplicationContext applicationContext)

### setParentApplicationContext

    public void setParentApplicationContext(ApplicationContext parent)

### setServletContext

    public void setServletContext(ServletContext servletContext)

### startPluginChangeScanner

    public void startPluginChangeScanner()

### stopPluginChangeScanner

    public void stopPluginChangeScanner()

Groovy Documentation